Eclipse Draw2d 3.7

## org.eclipse.draw2d
Class Triangle

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Shape
              org.eclipse.draw2d.Triangle

All Implemented Interfaces:
  IFigure, Orientable, PositionConstants

    public final class Triangle

extends Shape
implements Orientable

A triangular graphical figure.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary
`protected int` `direction` The direction this triangle will face.
`protected int` `orientation` The orientation of this triangle.
`protected PointList` `triangle` The points of the triangle.

Fields inherited from class org.eclipse.draw2d.Shape
`lineStyle, lineWidth`

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.Orientable
`HORIZONTAL, VERTICAL`

Fields inherited from interface org.eclipse.draw2d.PositionConstants
`ALWAYS_LEFT, ALWAYS_RIGHT, BOTTOM, CENTER, EAST, EAST_WEST, LEFT, LEFT_CENTER_RIGHT, MIDDLE, NONE, NORTH, NORTH_EAST, NORTH_SOUTH, NORTH_WEST, NSEW, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TOP_MIDDLE_BOTTOM, WEST`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`Triangle()`

Method Summary
`protected void` `fillShape(Graphics g)` Fills the interior of the shape with the background color.
`protected void` `outlineShape(Graphics g)` Outlines this shape using the foreground color.
`void` `primTranslate(int dx, int dy)` Translates this Figure's bounds, without firing a move.
`void` `setDirection(int value)` Sets the direction the orientable figure will face.
`void` `setOrientation(int value)` Sets the orientation.
`void` `validate()` Indicates that this figure should make itself valid.

Methods inherited from class org.eclipse.draw2d.Shape

`getAlpha, getAntialias, getLineAttributes, getLineCap, getLineDash, getLineDashOffset, getLineJoin, getLineMiterLimit, getLineStyle, getLineWidth, getLineWidthFloat, paintFigure, setAlpha, setAlpha, setAntialias, setAntialias, setFill, setFillXOR, setLineAttributes, setLineCap, setLineDash, setLineDashOffset, setLineJoin, setLineMiterLimit, setLineStyle, setLineWidth, setLineWidthFloat, setOutline, setOutlineXOR, setXOR`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative`

Field Detail

### direction

    protected int direction

  The direction this triangle will face. Possible values are `PositionConstants.NORTH`, `PositionConstants.SOUTH`, `PositionConstants.EAST` and `PositionConstants.WEST`.

### orientation

    protected int orientation

  The orientation of this triangle. Possible values are `Orientable.VERTICAL` and `Orientable.HORIZONTAL`.

### triangle

    protected PointList triangle

  The points of the triangle.

Constructor Detail

### Triangle

    public Triangle()

Method Detail

### fillShape

    protected void fillShape(Graphics g)

  Description copied from class: `Shape`
  Fills the interior of the shape with the background color.

  Specified by:
    `fillShape` in class `Shape`
  Parameters:
    `g` - the graphics object
  See Also:
    `Shape.fillShape(Graphics)`

### outlineShape

    protected void outlineShape(Graphics g)

  Description copied from class: `Shape`
  Outlines this shape using the foreground color.

  Specified by:
    `outlineShape` in class `Shape`
  Parameters:
    `g` - the graphics object
  See Also:
    `Shape.outlineShape(Graphics)`

### primTranslate

    public void primTranslate(int dx,
                              int dy)

  Description copied from class: `Figure`
  Translates this Figure's bounds, without firing a move.

  Overrides:
    `primTranslate` in class `Figure`
  Parameters:
    `dx` - The amount to translate horizontally
    `dy` - The amount to translate vertically
  See Also:
    `Figure.primTranslate(int, int)`

### setDirection

    public void setDirection(int value)

  Description copied from interface: `Orientable`
  Sets the direction the orientable figure will face. Can be one of many directional constants defined in `PositionConstants`.

  Specified by:
    `setDirection` in interface `Orientable`
  Parameters:
    `value` - The direction
  See Also:
    `Orientable.setDirection(int)`

### setOrientation

    public void setOrientation(int value)

  Description copied from interface: `Orientable`
  Sets the orientation. Can be either `Orientable.HORIZONTAL` or `Orientable.VERTICAL`.

  Specified by:
    `setOrientation` in interface `Orientable`
  Parameters:
    `value` - The orientation
  See Also:
    `Orientable.setOrientation(int)`

### validate

    public void validate()

  Description copied from interface: `IFigure`
  Indicates that this figure should make itself valid. Validation includes invoking layout on a LayoutManager if present, and then validating all children figures. Default validation uses pre-order, depth-first ordering.

  Specified by:
    `validate` in interface `IFigure`
  Overrides:
    `validate` in class `Figure`
  See Also:
    `IFigure.validate()`

Eclipse Draw2d 3.7

Copyright (c) IBM Corp. and others 2000, 2011. All Rights Reserved.